namespace e_suite.CustomerApi.Helper;

internal static class HttpHelper
{
    public static HttpClient CreateClient()
    {
        var handler = new HttpClientHandler();
        handler.ClientCertificateOptions = ClientCertificateOption.Manual;
        handler.ServerCertificateCustomValidationCallback =
            (httpRequestMessage, cert, cetChain, policyErrors) => { return true; }; //This should return true for Self signed certificates, or real certificates.

        return new HttpClient(handler);
    }
}